import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/spaces_management/all_spaces/model/community_model.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class SidebarCommunitiesList extends StatefulWidget {
  const SidebarCommunitiesList({
    required this.communities,
    required this.itemBuilder,
    super.key,
  });

  final List<CommunityModel> communities;
  final Widget Function(BuildContext context, int index) itemBuilder;

  @override
  State<SidebarCommunitiesList> createState() => _SidebarCommunitiesListState();
}

class _SidebarCommunitiesListState extends State<SidebarCommunitiesList> {
  late final ScrollController _scrollController;

  @override
  void initState() {
    _scrollController = ScrollController();
    super.initState();
  }

  @override
  void dispose() {
    _scrollController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      scrollDirection: Axis.horizontal,
      child: SizedBox(
        width: context.screenWidth * 0.5,
        child: Scrollbar(
          scrollbarOrientation: ScrollbarOrientation.left,
          thumbVisibility: true,
          controller: _scrollController,
          child: ListView.builder(
            padding: const EdgeInsetsDirectional.only(start: 16),
            shrinkWrap: true,
            itemCount: widget.communities.length,
            controller: _scrollController,
            itemBuilder: widget.itemBuilder,
          ),
        ),
      ),
    );
  }
}
